Update a CampaignAsk AIpatch https://api.optimizely.com/v2/campaigns/{campaign_id}Update a campaign's metadata.Path Paramscampaign_idint64requiredThe Campaign ID of the Campaign you want to changeQuery ParamsactionstringenumAction to change the state of the Campaign. 'publish' publishes your campaign, making any changes live to the world without changing the status of the campaign. 'start' publishes your campaign, making any changes live to the world. Status will be 'running'. 'pause' stops the campaign. Status will be 'paused'. No new visitors will see the campaign until it is resumed. 'resume' resumes the campaign from a paused status without publishing any new changes. Status will be 'running'. 'unarchive' unarchives an archived campaign. Status will be 'paused'.publishstartpauseresumeunarchiveAllowed:publishstartpauseresumeunarchiveBody ParamsA string in JSON format that includes all the fields you'd like to change for a Campaignchangesarray of objectsA list of changes to apply to the CampaignchangesADD objectdescriptionstringThe description or goal for a Campaignexperiment_prioritiesarray of arrays of int64sA list of lists of Experiment IDs that indicate the relative priority of how to show those Experiments in the context of the Campaign. Each list inside of the list represents a group of Experiments of equal priority where groups that appear earlier in the list are of higher priority to be shown.experiment_prioritiesADD array of int64sfor_journeybooleanDefaults to falseWhether the Campaign has been part of journey or nottruefalseholdbackinteger0 to 10000Percentage of visitors to exclude from personalization, measured in basis points. 100 basis points = 1% traffic. For example, a value of 500 would mean that 95% of visitors will see a personalized experience and 5% will see the holdback.journey_idstringThe journey this campaign is associated with, or null if not setmetricsarray of objectsAn ordered list of metrics to track for the CampaignmetricsADD objectnamestringThe name of the Campaignpage_idsarray of int64sA list of Page IDs used in the Campaign. Only url_targeting or page_ids can be used when updating a Campaign, but not both.page_idsADD int64url_targetingobjecturl_targeting objectResponses 200Return the updated Campaign 400Invalid ID supplied 401Invalid credentials 403You do not have permission to edit the specified Campaign 404Campaign not found defaultUnexpected errorUpdated 7 months ago